Subject: IPP> PRO - Re: Comm Protocols for IPP

From: Carl-Uno Manros <[email-masked]>
Date: Mon, 12 May 1997 12:17:50 PDT

>Return-Path: <[email-masked]>
>Date: Mon, 12 May 1997 07:40:08 PDT
>From: John Amenyo <[email-masked]>
>To: Carl-Uno Manros <[email-masked]>
>Subject: Re: PRO - Re: Comm Protocols for IPP
>
>
>The T.120 std is an ITU-TSS standard. It has been designed for "real-time
>multi-point communications."  Namely, it is used for real-time data sharing
>in heterogenous environments. T.120 has also been adopted for the data
>sharing portion of the H.323 ITU standard
>H.323 in turn is likely to become the basis for all real-time conferencing 
>(over the Internet + Intranets + Extranets) (voice/audio, video, data,
>multimedia).
>
>T.120 has been endorsed by many vendors in the computing and communications 
>industries. A primer on T.120 exists at:
>
>	http://www.databeam.com/Products/CCTS/t120primer/t120primer.html
>
>What is the connection with (tele-) printing over the Internet?
>
>Real-time (desktop/video/tele-) conferencing is a form of real-time
>human-to-human communication/messaging. Real-time tele-printing is easily
>conceived as a form of human-to-machine or machine-to-machine comm/messaging,
>particularly, if one chooses to regard it as document transfer and
management.
>In effect, the machines "conference" in real-time, e.g., negotiating printing
>options; there occurs document/(bulk) data transfer from one to another
>(a printer) which then prints the document.
>
>	human---desktop-----------Net---------------------------printer
>
>
>	human---desktop-----------Net-----------printserver-----printer
>
>
>	human---desktop-----------Net-----------printserver-----printer
>                                                    |
>                                                    +-----------printer
>
>Once this viewpoint is accepted, the solutions already worked on in T.120
>can be used to solved some of the problems you are likely to encounter
>in Printing-over-the-Internet:
>
>		* Real-time support
>		* Locating/Discovery/Registration of Printers/PrintServers
>		* Document distribution to multiple printers (c.f., multicast
>	          and "multi-point" printing).
>		* Handling security issues.
>
>Furthermore, some printing over the Internet is likely to occur as part of
>human-to-human conferencing (e.g., at the end of conferencing sessions),
>so using T.120 would most likely make it easy to support this. Furthermore,
>since H.323 (and thus T.120) has been adopted by Intel and Microsoft for
>Internet telephony interoperability,  creating a role for T.120 in printing 
>over the Internet means that any printing occuring in conjunction with 
>Internet telephony sessions could easily be accommodated without the need 
>for extra "comm pathway" software in the machines providing the service.
>
>I got the impression (probably unfair since I have not finished reading the
>IPP stuff) that IPP would be most suitable for point-to-point printing,
>particularly in the context of a user trying to print documents encountered
>in the Web/HTML environment.  But what about tele-printing of massive
>documents in a distributed document management situation? How would one
>handle the scenario where the document resides on a different machine
>than the user's desktop/workstation and the document is to transferred and
>printed elsewhere at a remote location? What about the support for "printing"
>to unconventional "printer-like" devices such as COM, CD-ROM mastering, CD-R
>and DVD recording? What about support for "printing" "multimedia" documents?
>
>I am not sure T.120 and HTTP would necessarily be competing with each other
>in real-time tele-printing. In much the same way I don't think they would
>compete when Web sessions are used concurrently with real-time desktop
>conferencing. For example, a T.120 data sharing session could actually be
>the mutual viewing of Web pages (which are accessed via HTTP).
>
>I cannot really provide a good answer to standards documentations/resources
>which cost a lot of money. Nonetheless, I think the IETF's experience with
>other standards such as the various Ethernet stds and ATM indicates that
>both sides could find a common ground if there is a will and willingness to
>leverage the strengths of each other.
>
>Finally, I am not particularly advocating that T.120 ought to be used in
>printing-over-the-Internet. I thought the "conferencing" (human/human vs
>machine/machine) is particularly strong and I would like to hear what
>others think about exploiting T.120 for real-time tele-printing, provided one
>could ignore the "political" issues for a moment :-)
>
>
>Thanks for your response.
>
>
>					jtA
>
>> John,
>> 
>> I am forwading this message to the IPP DL for discussion. Is the T.120
>> protocol definition available for free somewhere on the Internet, and if so
>> can you give us a reference?  Generally, the IETF is not terribly keen on
>> using protocols to which there is no public access (or which you can only
>> get hold of by paying lots of $$$$). Nobody has so far suggested to use
>> T.120 as an alternative.  Can you give us an idea about what it does and
>> why you think it would be suitable for IPP?
>> 
>> Please look at our web site at: http://www.pwg.org/ipp if you want to get
>> more up=to-date information about the IPP project or want information about
>> how to subscribe to our mailing list.
>> 
>> Regards,
>> 
>> Carl-Uno Manros
>> 
>> At 11:15 AM 5/9/97 PDT, John Amenyo wrote:
>> >
>> >
>> >I have just started reading the WG draft documents on IPP and I noticed
that
>> >the drafts proposed using HTTP as the transport protocol.
>> >
>> >It has occurred to me that the T.120 protocol could play some useful role,
>> >especially if one is interested in "real-time" tele-printing over the
>> >Internet.
>> >
>> >Could you tell me if the use of T.120 has been considered and if a
decision
>> >or consensus had developed that T.120 could NOT play a role?
>> >If T.120 has not been explicitly considered/discussed by the WG, would it
>> >be possible to get the members considered opinions on whether T.120 could
>> >play a role at all?
>> >
>> >Thanks very much.
>> >
>> >						jtA
>> >
>> >
>> >
>> >
>> Carl-Uno Manros
>> Principal Engineer - Advanced Printing Standards - Xerox Corporation
>> 701 S. Aviation Blvd., El Segundo, CA, M/S: ESAE-231
>> Phone +1-310-333 8273, Fax +1-310-333 5514
>> Email: [email-masked]
>> 
>
>
>
Carl-Uno Manros
Principal Engineer - Advanced Printing Standards - Xerox Corporation
701 S. Aviation Blvd., El Segundo, CA, M/S: ESAE-231
Phone +1-310-333 8273, Fax +1-310-333 5514
Email: [email-masked]